summaryrefslogtreecommitdiff
path: root/tests/stty
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-08-11 17:30:46 +0000
committerJim Meyering <jim@meyering.net>1998-08-11 17:30:46 +0000
commitb9ca4fe720955cb545a00645af2d3c4c536ec2de (patch)
treebaf0375cdf56121de8e92e1ecdd63d9a9648b7cc /tests/stty
parentc6afbb198cd819f798f431f88c8368ef353c4688 (diff)
downloadcoreutils-b9ca4fe720955cb545a00645af2d3c4c536ec2de.tar.xz
.
Diffstat (limited to 'tests/stty')
-rwxr-xr-xtests/stty/simple-116
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/stty/simple-1 b/tests/stty/simple-1
new file mode 100755
index 000000000..0dcd027be
--- /dev/null
+++ b/tests/stty/simple-1
@@ -0,0 +1,16 @@
+#! /bin/sh
+# Make sure stty can parse most of its options.
+
+: ${STTY=stty}
+
+if test "$VERBOSE" = yes; then
+ set -x
+ $RM --version
+fi
+
+saved_state=.saved-state
+$STTY --save > $saved_state || exit 1
+trap "status=$?; echo here; $STTY `cat $saved_state`; exit $status" 0 1 2 3 15
+$STTY `cat $saved_state` || exit 1
+
+exit 0